namespace NetinaShop.Core.Abstracts;

public interface IStorageService : IScopedDependency
{
    Task<string> UploadObjectFromFileAsync(string fileName, string filePath, string contentType, byte[] fileBytes);
    Task<string> UploadObjectFromFileAsync(string fileName, string filePath, string contentType, Stream fileStream, bool fixName = true);

    Task<List<StorageFileSDto>> GetStorageFiles(StorageFileType fileType);
}